Subject: bug#35806: Login passwords incorrect on some newly installed 1.0.1 systems

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Mon, 20 May 2019 22:41:33 +0200

On Mon, May 20, 2019 at 10:36:32PM +0200, Ludovic Courtès wrote:
> Hi,
> 
> "pelzflorian (Florian Pelz)" <[email-masked]> skribis:
> 
> > However, the second install had no normal user account, as you can see
> > in my /etc/shadow (which is attached again).  It should not have been
> > possible to install without user account.  Now that I think about it,
> > I believe when I got shown the user account creation page in the
> > installer, I accidentally immediately pressed some key (maybe Enter)
> > and it threw me back to the locale selection.  I configured everything
> > again, but I believe this was the reason no user account was created.
> >
> > I could now make the user account creation page crash again by
> > entering a wrong password confirmation, but after going through the
> > installer again, the resulting config contains a user and I can login.
> > I do not know how I managed to break this.
> 
> Could you file a bug specifically for this one if you managed to
> reproduce it?
>

I will try and then file a more specific bug.

> >> Note that you can check by doing an install in a VM using the attached
> >> script.
> >>
> >
> > Thank you.  For now I’ll try on real hardware though.
> 
> Well that’s even better.  :-)
> 
> Should we consider this bug closed?
> 

Yes.

Regards,
Florian